Transactions

Methods

GET

Retrieve Single Transaction

/backend/api/v1/transactions/ID - fetch transaction with specified ID.

List Transactions

/backend/api/v1/transactions/ - list all transactions.

/backend/api/v1/customers/ID/transactions/ - list raised transactions belonging to customer with specified ID.

/backend/api/v1/features/ID/transactions/ - list raised transactions belonging to feature with specified ID.

/backend/api/v1/invoices/ID/transactions/ - list raised transactions on the inovice with specified ID.

By default only transactions on raised invoices are shown.

Additional Query Parameters
ParameterTypeRequiredDescription
unsentflagNoShow transactions on the unsent invoice
includeUnsentflagNoShow all transactions, including those on the unsent invoice
invoiceIdAfterintegerNoShow transactions on invoices after the specified ID

POST

/backend/api/v1/invoices/ID/transactions/ - add a new transaction to the specified invoice, the newly-added transaction will be returned. /backend/api/v1/features/ID/transactions/ - add a new transaction to the specified feature and appropriate invoice. The newly-added transaction will be returned.

PATCH

/backend/api/v1/transactions/ID - update transaction with specified ID. The modified transaction will be returned.

DELETE

/backend/api/v1/transactions/ID - delete transaction with specified ID.

Fields

FieldNameTypeDescription
transactionTypeTransaction TypePreset ValueThe type of transaction, which will be shown on invoices if no description is given
transactionDescriptionTransaction DescriptionTextA description of the transaction
transactionNotesTransaction NotesTextAdditional notes about the transaction
siteSiteTextThe site associated with this transaction
campaignCampaignTextThe marketing campaign associated with this transaction
transactionCodeTransaction CodeTextCode for this transaction that can be included in invoice reports for accounting
featureCountFeature CountNumberThe number of features associated with this transaction
transactionCarrierCarrierPreset ValueThe carrier associated with this transaction
transactionSourceTransaction SourcePreset ValueThe source of this transaction entry
transactionRefundedIDTextThe ID of the transaction this transaction refunds
transactionDateTransaction DateDateThe date of this transaction
transactionBillDateTransaction Bill DateDateThe date when this transaction should be billed
transactionStartDateTransaction Start DateDateThe start date of the period which this transaction covers
transactionEndDateTransaction End DateDateThe end date of the period which this transaction covers
transactionValueTransaction ValueCurrencyThe monetary value of this transaction
transactionVATRateVAT Rate (%)Preset ValueThe VAT rate applied to this transaction
transactionValueCarrierTransaction Carrier ValueCurrencyThe expected cost of this transaction from the carrier
transactionValueCDRFixed Fee File ValueCurrencyThe value of this transaction from carrier data
transactionCallCountCallsNumberNumber of calls included in this call transaction
transactionCallMinutesMinutesNumberTotal minutes (rounded to whole minutes) included in this call transaction
transactionCommissionProfileCommission ProfilePreset ValueThe commission profile associated with this transaction
commissionHolderCommission HolderPreset ValueThe primary commission holder for this transaction
transactionValueCommissionTransaction Commission ValueCurrencyThe commission value for the primary commission holder
transactionValueCommissionTargetContributionTransaction Commission ContributionCurrencyThe contribution of this transaction to commission targets
transactionValueCommissionTargetContributionOneOffTransaction Commission Contribution (One Off)CurrencyThe one-off contribution of this transaction to commission targets
transactionValueCommissionTargetContributionRecurringTransaction Commission Contribution (Recurring)CurrencyThe recurring contribution of this transaction to commission targets
transactionValueCommissionTargetContributionCallsTransaction Commission Contribution (Calls)CurrencyThe calls-related contribution of this transaction to commission targets
commissionHolderID2Commission Holder 2Preset ValueThe secondary commission holder for this transaction
transactionValueCommission2Transaction Commission 2 ValueCurrencyThe commission value for the secondary commission holder
transactionValueCommissionTargetContribution2Transaction Commission Contribution 2CurrencyThe contribution of this transaction to commission targets for the secondary holder
transactionValueCommissionTargetContributionOneOff2Transaction Commission Contribution (One Off) 2CurrencyThe one-off contribution of this transaction to secondary commission targets
transactionValueCommissionTargetContributionRecurring2Transaction Commission Contribution (Recurring) 2CurrencyThe recurring contribution of this transaction to secondary commission targets
transactionValueCommissionTargetContributionCalls2Transaction Commission Contribution (Calls) 2CurrencyThe calls-related contribution of this transaction to secondary commission targets
transactionCommissionProfileCommissionTypeCommission Profile TypePreset ValueThe type of commission profile for this transaction
transactionCommissionProfileCommissionValueCommission Profile ValueNumberThe value of the commission profile for this transaction
idTransaction IDTextThe unique identifier for this transaction

Still Didn’t Find Your Answer?

For assistance, please contact us below.

Submit a ticket